Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class AttributeGroupExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ReferenceExp
              com.sun.msv.grammar.xmlschema.RedefinableExp
                  com.sun.msv.grammar.xmlschema.AttributeGroupExp

All Implemented Interfaces:
  AttWildcardExp, java.io.Serializable

public class AttributeGroupExp
extends RedefinableExp
implements AttWildcardExp

attribute group declaration. the inherited exp field contains the attributes defined in this declaration.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`AttributeWildcard` | `wildcard` Attribute wild card constraint.

Fields inherited from class com.sun.msv.grammar.ReferenceExp
`exp, name`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`AttributeGroupExp(java.lang.String typeLocalName)` name of this attribute group declaration.

Method Summary
`AttributeWildcard` | `getAttributeWildcard()` Gets the attribute wildcard property of this schema component.
`RedefinableExp` | `getClone()` clone this object.
`void` | `redefine(RedefinableExp _rhs)` assigns contents of rhs to this object.
`void` | `setAttributeWildcard(AttributeWildcard local)`

Methods inherited from class com.sun.msv.grammar.ReferenceExp
`equals, isDefined, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wildcard

    public AttributeWildcard wildcard

  Attribute wild card constraint.

  Due to the nasty definition of the interaction between attribute wildcards, we cannot add the expression for validating wildcard until the very last moment.

  In any way, `AttribtueGroupExp` will NOT contain the expression corresponding to the wildcard. Only `ComplexTypeExp` will get that expression.

  Until the wrap-up phase of the schema parsing, this field will contain the "local wildcard definition." In the wrap-up phase, this field is replaced by the "complete wildcard definition."

Constructor Detail

### AttributeGroupExp

    public AttributeGroupExp(java.lang.String typeLocalName)

  name of this attribute group declaration. According to the spec, the name must be unique within one schema (in our object model, one XMLSchemaSchema object).

Method Detail

### getAttributeWildcard

    public AttributeWildcard getAttributeWildcard()

  Description copied from interface: `AttWildcardExp`
  Gets the attribute wildcard property of this schema component.

  Specified by:
    `getAttributeWildcard` in interface `AttWildcardExp`
  Returns:
    If the value is absent, null is returned.

### setAttributeWildcard

    public void setAttributeWildcard(AttributeWildcard local)

### getClone

    public RedefinableExp getClone()

  clone this object.

  Specified by:
    `getClone` in class `RedefinableExp`

### redefine

    public void redefine(RedefinableExp _rhs)

  Description copied from class: `RedefinableExp`
  assigns contents of rhs to this object. rhs and this object must be the same runtime type, and they must have the same name. this method redefines this object by the given component. derived class should override this method and copy necessary fields, should it necessary.

  Overrides:
    `redefine` in class `RedefinableExp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD